#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint getsocial_flutter_sdk.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'getsocial_flutter_sdk'
  s.version          = '7.7.0'
  s.summary          = 'GetSocial Flutter SDK v7.'
  s.description      = <<-DESC
GetSocial Flutter SDK v7.
                       DESC
  s.homepage         = 'https://www.getsocial.im'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'GetSocial' => 'info@getsocial.im' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'GetSocialExtended', '>= 7.6.2'
  s.platform = :ios, '9.0'

  # Flutter.framework does not contain a i386 slice. Only x86_64 simulators are supported.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64' }
  s.swift_version = '5.1'
end
