/// Available Communities Actions.
class CommunitiesAction {
  /// Post an activity.
  static final int post = 0;

  /// React to an activity.
  static final int react = 1;

  /// Comment on an activity.
  static final int comment = 2;

  static String valueToName(int value) {
    switch (value) {
      case 0:
        return 'Post';
      case 1:
        return 'React';
      case 2:
        return 'Comment';
    }
    return '';
  }
}
