import '../usermanagement/user.dart';
import 'membership.dart';

/// Describe GroupMember object.
class GroupMember extends User {
  GroupMember.fromJSON(Map<String, dynamic> json)
      : membership = Membership.fromJSON(json['membership']),
        super.fromJSON(json);

  Membership membership;

  @override
  String toString() {
    return super.toString() + ', membership: $membership';
  }
}
