/// Describe available Poll statuses.
class PollStatus {
  /// All.
  static const all = 0;

  /// Activities with poll.
  static const withPoll = 1;

  /// Current user already voted.
  static const votedByMe = 2;

  /// Current user not voted.
  static const notVotedByMe = 3;

  /// Activities without poll.
  static const withoutPoll = 4;
}
