import '../src/utils.dart';
import '../usermanagement/user.dart';

/// Describe User Votes.
class UserVotes {
  UserVotes.fromJSON(Map<String, dynamic> json)
      : user = User.fromJSON(json['user']),
        votes = Utils.createStringList(json['votes']);

  /// User who created the reaction.
  User user;

  /// Votes created by the user.
  List<String> votes;

  @override
  String toString() {
    return 'UserVotes{'
        'user: $user, '
        'votes: $votes'
        '}';
  }
}
