import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('activitybutton.json'));
    var button = ActivityButton.fromJSON(obj);
    expect(button.title, 'title');
    expect(button.action.type, 'hello2');
    expect(button.action.data['actionKey2'], 'actionValue2');
  });
}
