import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('membership.json'));
    var membership = Membership.fromJSON(obj);

    expect(membership.role, Role.member);
    expect(membership.status, MemberStatus.invitationPending);
    expect(membership.createdAt, 123);
    expect(membership.invitationToken, 'token');
  });
}
