import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('mention.json'));
    var result = Mention.fromJSON(obj);

    expect(result.type, MentionType.user);
    expect(result.startIndex, 100);
    expect(result.endIndex, 120);
    expect(result.userId, 'userId');
  });
}
