import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/src/private_user.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('privateuser.json'));
    var result = PrivateUser.fromJSON(obj);
    expect(result.userId, 'userid');
    expect(result.displayName, 'testuser');
    expect(result.avatarUrl, 'avatarurl');
    expect(result.identities['fb'], 'token');
    expect(result.publicProperties['publickey'], 'publicvalue');
    expect(result.privateProperties['privatekey'], 'privatevalue');
  });
}
