import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('referraldata.json'));
    var result = ReferralData.fromJSON(obj);
    expect(result.token, 'token');
    expect(result.referrerUserId, 'userid');
    expect(result.referrerChannelId, 'channelid');
    expect(result.isFirstMatch, true);
    expect(result.isGuaranteedMatch, true);
    expect(result.isReinstall, true);
    expect(result.isFirstMatchLink, true);
    expect(result.linkParams['link'], 'param');
    expect(result.originalLinkParams['original'], 'linkparam');
  });
}
