import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('userreactions.json'));
    var result = UserReactions.fromJSON(obj);
    expect(result.reactions[0], 'like');
    expect(result.reactions[1], 'wow');
    var reactionUser = result.user;
    expect(reactionUser.userId, 'userId');
    expect(reactionUser.avatarUrl, 'avatarUrl');
    expect(reactionUser.userId, 'userId');
    expect(reactionUser.displayName, 'displayName');
    expect(reactionUser.publicProperties['propKey'], 'propValue');
    expect(reactionUser.verified, true);
  });
}
