import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('ActivityButton', () {
    Map<String, String> data = {'key': 'value'};
    var action = GetSocialAction('hello', data);
    var button = ActivityButton('btn', action);
    expect(jsonEncode(button.toJSON()),
        TestUtils.readEncodedObject('activitybutton', 'activitybutton.json'));
  });
}
