import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('ChatId', () {
    var chatId = ChatId.create('hello');
    expect(jsonEncode(chatId.toJSON()),
        TestUtils.readEncodedObject('chatid', 'chatid_string.json'));
  });

  test('ChatId_UserId', () {
    var chatId = ChatId.createWithUserId(UserId.create('bob'));
    expect(jsonEncode(chatId.toJSON()),
        TestUtils.readEncodedObject('chatid', 'chatid_userid.json'));
  });
}
