import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('ChatMessagesQuery', () {
    var chatId = ChatId.create('hello');
    var query = ChatMessagesQuery.messagesInChat(chatId);
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'chatmessagesquery', 'chatmessagesquery.json'));
  });
}
