import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Identity_Custom', () {
    var identity = Identity.custom('provider', 'userid', 'accesstoken');
    expect(jsonEncode(identity.toJSON()),
        TestUtils.readEncodedObject('identity', 'identity_custom.json'));
  });

  test('Identity_FB', () {
    var identity = Identity.facebook('accesstoken');
    expect(jsonEncode(identity.toJSON()),
        TestUtils.readEncodedObject('identity', 'identity_fb.json'));
  });

  // TODO: add trusted identity once ready
}
