import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('InviteContent', () {
    var content = InviteContent();
    content.text = 'text';
    content.subject = 'subject';
    content.mediaAttachment = MediaAttachment.withImageUrl('imageurl');
    content.linkParams['key'] = 'value';
    expect(jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject('invitecontent', 'invitecontent.json'));
  });
}
