import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('IncreaseBy', () {
    var badge = NotificationBadge.increaseBy(40);
    expect(
        jsonEncode(badge.toJSON()),
        TestUtils.readEncodedObject(
            'notificationbadge', 'notificationbadge_increase.json'));
  });

  test('SetTo', () {
    var badge = NotificationBadge.setValue(12);
    expect(
        jsonEncode(badge.toJSON()),
        TestUtils.readEncodedObject(
            'notificationbadge', 'notificationbadge_set.json'));
  });
}
