import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('NotificationCustomization', () {
    var content = NotificationCustomization();
    content.backgroundImageConfiguration = 'bgImage';
    content.textColor = 'textcolor';
    content.titleColor = 'titlecolor';
    expect(
        jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject(
            'notificationcustomization', 'notificationcustomization.json'));
  });
}
