import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('All', () {
    var query = ReferralUsersQuery.allUsers();
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'referralusersquery', 'referralusersquery.json'));
  });

  test('WithEvent', () {
    var query = ReferralUsersQuery.usersForEvent('install');
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'referralusersquery', 'referralusersquery_with_event.json'));
  });
  // TODO: add onlyTrending
}
