import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('TagsQuery', () {
    var query = TagsQuery.find('#hello');
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('tagsquery', 'tagsquery.json'));
  });

  test('ReactionQueryWithReaction', () {
    var query = TagsQuery.find('#hello');
    query.target = PostActivityTarget.topic('topicid');
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('tagsquery', 'tagsquery_intarget.json'));
  });
  // TODO: add onlyTrending
}
