import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Test', () {
    var query = UsersQuery.find('best');
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('usersquery', 'usersquery_find.json'));
  });

  test('FollowedBy', () {
    var query = UsersQuery.followedBy(UserId.create('test'));
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'usersquery', 'usersquery_followedby.json'));
  });
}
