/// Describe CommunitiesEntity object.
class Membership {
  Membership.fromJSON(Map<String, dynamic> json)
      : role = json['role'],
        status = json['status'],
        invitationToken = json['invitationToken'],
        createdAt = json['createdAt'];

  int role;
  int status;
  String? invitationToken;
  int createdAt;

  @override
  String toString() {
    return 'Membership{'
        'role: $role, '
        'status: $status,'
        'invitationToken: $invitationToken,'
        'createdAt: $createdAt'
        '}';
  }
}
