import '../common/codable.dart';
import 'polloptioncontent.dart';

/// Describe PollContent object.
class PollContent extends Encodable {
  bool allowMultipleVotes = false;
  int? endDate;
  List<PollOptionContent> options = [];

  Map<String, dynamic> toJSON() => {
        'allowMultipleVotes': allowMultipleVotes,
        'endDate': endDate ?? 0,
        'options': options.map((e) => e.toJSON()).toList(),
      };
}
