import '../common/codable.dart';

/// Describe notification context.
class NotificationContext extends Encodable {
  NotificationContext.fromJSON(Map<String, dynamic> json)
      : action = json['action'];

  /// Notification action.
  String? action;

  @override
  String toString() {
    return 'NotificationContext{'
        'action: $action, '
        '}';
  }
}
