import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('action.json'));
    var action = GetSocialAction.fromJSON(obj);
    expect(action.type, 'hello');
    expect(action.data['actionKey'], 'actionValue');
  });
}
