import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('invite.json'));
    var result = Invite.fromJSON(obj);
    expect(result.gifUrl, 'gifurl');
    expect(result.imageUrl, 'imageurl');
    expect(result.linkParams['linkparamkey'], 'linkparamvalue');
    expect(result.referralUrl, 'referralurl');
    expect(result.subject, 'subject');
    expect(result.text, 'text');
    expect(result.userName, 'user');
    expect(result.videoUrl, 'videourl');
  });
}
