import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('invitechannel.json'));
    var result = InviteChannel.fromJSON(obj);
    expect(result.channelId, 'fb');
    expect(result.displayOrder, 4);
    expect(result.iconUrl, 'randomiconurl');
    expect(result.name, 'channel');
  });
}
