import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('ImageUrl', () {
    var obj = jsonDecode(
        TestUtils.readObjectToDecode('mediaattachment_imageurl.json'));
    var result = MediaAttachment.fromJSON(obj);
    expect(result.imageUrl, 'imageurl');
  });

  test('VideoUrl', () {
    var obj = jsonDecode(
        TestUtils.readObjectToDecode('mediaattachment_videourl.json'));
    var result = MediaAttachment.fromJSON(obj);
    expect(result.videoUrl, 'videourl');
  });
}
