import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(
        TestUtils.readObjectToDecode('notificationcustomization.json'));
    var result = NotificationCustomization.fromJSON(obj);
    expect(result.backgroundImageConfiguration, 'bgimage');
    expect(result.textColor, 'red');
    expect(result.titleColor, 'black');
  });
}
