import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('uservotes.json'));
    var result = UserVotes.fromJSON(obj);
    expect(result.votes[0], 'option1');
    expect(result.votes[1], 'option2');
    var reactionUser = result.user;
    expect(reactionUser.userId, 'userId');
    expect(reactionUser.avatarUrl, 'avatarUrl');
    expect(reactionUser.userId, 'userId');
    expect(reactionUser.displayName, 'displayName');
    expect(reactionUser.publicProperties['propKey'], 'propValue');
    expect(reactionUser.verified, true);
  });
}
