import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Action', () {
    var title = 'hello';
    Map<String, String> data = {'key': 'value'};
    var action = GetSocialAction(title, data);
    expect(jsonEncode(action.toJSON()),
        TestUtils.readEncodedObject('action', 'action.json'));
  });
}
