import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('FriendsQuery', () {
    var query = FriendsQuery.ofUser(UserId.create('bob'));
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('friendsquery', 'friendsquery.json'));
  });
}
