import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('ImageUrl', () {
    var attachment = MediaAttachment.withImageUrl('imageurl');
    expect(
        jsonEncode(attachment.toJSON()),
        TestUtils.readEncodedObject(
            'mediaattachment', 'mediaattachment_imageurl.json'));
  });

  test('VideoUrl', () {
    var attachment = MediaAttachment.withVideoUrl('videourl');
    expect(
        jsonEncode(attachment.toJSON()),
        TestUtils.readEncodedObject(
            'mediaattachment', 'mediaattachment_videourl.json'));
  });
}
