import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

void main() {
  test('PurchaseData', () {
    var content = PurchaseData('productId', ProductType.item, 'productTitle',
        100, 'priceCurrency', -62135596800, 'transactionIdentifier');
    var result =
        '{"price":100.0,"priceCurrency":"priceCurrency","productId":"productId","productTitle":"productTitle","productType":0,"purchaseDate":-62135596800,"purchaseId":"transactionIdentifier"}';
    // validate only locally, as double format is different
    expect(jsonEncode(content.toJSON()), result);
  });
}
