import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('UserId', () {
    var userId = UserId.create('bob');
    expect(jsonEncode(userId.toJSON()),
        TestUtils.readEncodedObject('userid', 'userid.json'));
  });

  test('UserIdWithProvider', () {
    var userId = UserId.createWithProvider('bob', 'aws');
    expect(jsonEncode(userId.toJSON()),
        TestUtils.readEncodedObject('userid', 'userid_with_provider.json'));
  });
}
